XmLGridEditBegin(3X)

NAME
XmLGridEditBegin - begin an edit in a cell

SYNTAX
int XmLGridEditBegin(widget, insert, row, column)
Widget widget;
Boolean insert;
int row;
int column;

ARGUMENTS

widget
    Grid widget ID

insert
    insert flag

row position of content row

column
    position of content column

DESCRIPTION
Begin editing a cell at the given content row and content column. If insert is True, the edit will begin with the text widget containing the existing cell contents. If False, the text widget child of the Grid will be cleared when the edit begins. If the function is successful, the Grid's XmNeditCallback callbacks will be called.

RETURN VALUE
If the cell position specified is invalid or the cell can not be edited, a value of -1 will be returned. A value of 0 is returned if this function is successful.

SEE ALSO
XmLGridEditCancel(3X) XmLGridEditComplete(3X)